# Uses of Interface
org.eclipse.net4j.util.cache.ICache

Packages that use ICache
Package
Description
org.eclipse.net4j.util.cache
A generic caching and memory monitoring framework.

## Uses of ICache in org.eclipse.net4j.util.cache

Classes in org.eclipse.net4j.util.cache that implement ICache
Modifier and Type
Class
Description
`class`
`Cache<E>`
Methods in org.eclipse.net4j.util.cache that return ICache
Modifier and Type
Method
Description
`ICache`
CacheRegistration.`getCache()`
`ICache`
ICacheRegistration.`getCache()`
Methods in org.eclipse.net4j.util.cache with parameters of type ICache
Modifier and Type
Method
Description
`void`
CacheMonitor.`deregisterCache(ICache cache)`
`void`
ICacheMonitor.`deregisterCache(ICache cache)`
`ICacheRegistration`
CacheMonitor.`registerCache(ICache cache)`
`ICacheProbe`
ICacheMonitor.`registerCache(ICache cache)`
Constructors in org.eclipse.net4j.util.cache with parameters of type ICache
Modifier
Constructor
Description
``
`CacheRegistration(ICacheMonitor cacheMonitor, ICache cache)`